IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network126.2.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
- Network address
126.2.64.0- Broadcast address
126.2.95.255- First usable
126.2.64.1- Last usable
126.2.95.254- Usable hosts
- 8,190 (8,192 less the network and broadcast addresses)
- Subnet mask
255.255.224.0- Wildcard mask
0.0.31.255(Cisco ACLs, OSPF)- Prefix length
- /19
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
7E024000· Integer2114076672to2114084863 - Reverse DNS zones
64.2.126.in-addr.arpa65.2.126.in-addr.arpa66.2.126.in-addr.arpa67.2.126.in-addr.arpa68.2.126.in-addr.arpa69.2.126.in-addr.arpa70.2.126.in-addr.arpa71.2.126.in-addr.arpa72.2.126.in-addr.arpa73.2.126.in-addr.arpa74.2.126.in-addr.arpa75.2.126.in-addr.arpa76.2.126.in-addr.arpa77.2.126.in-addr.arpa78.2.126.in-addr.arpa79.2.126.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01111110.00000010.01000000.00000000 | 126.2.64.0 |
| Subnet mask | 11111111.11111111.11100000.00000000 | 255.255.224.0 |
| Network | 01111110.00000010.01000000.00000000 | 126.2.64.0 |
| Broadcast | 01111110.00000010.01011111.11111111 | 126.2.95.255 |
Split into smaller subnets
/20 (2)/21 (4)/22 (8)/23 (16)/24 (32)/25 (64)/26 (128)/27 (256)/28 (512)/29 (1,024)/30 (2,048)/31 (4,096)
126.2.64.0/19 makes 4,096 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 126.2.64.0/31 | 126.2.64.0 to 126.2.64.1 | — | 2 |
| 2 | 126.2.64.2/31 | 126.2.64.2 to 126.2.64.3 | — | 2 |
| 3 | 126.2.64.4/31 | 126.2.64.4 to 126.2.64.5 | — | 2 |
| 4 | 126.2.64.6/31 | 126.2.64.6 to 126.2.64.7 | — | 2 |
| 5 | 126.2.64.8/31 | 126.2.64.8 to 126.2.64.9 | — | 2 |
| 6 | 126.2.64.10/31 | 126.2.64.10 to 126.2.64.11 | — | 2 |
| 7 | 126.2.64.12/31 | 126.2.64.12 to 126.2.64.13 | — | 2 |
| 8 | 126.2.64.14/31 | 126.2.64.14 to 126.2.64.15 | — | 2 |
| 9 | 126.2.64.16/31 | 126.2.64.16 to 126.2.64.17 | — | 2 |
| 10 | 126.2.64.18/31 | 126.2.64.18 to 126.2.64.19 | — | 2 |
| 11 | 126.2.64.20/31 | 126.2.64.20 to 126.2.64.21 | — | 2 |
| 12 | 126.2.64.22/31 | 126.2.64.22 to 126.2.64.23 | — | 2 |
| 13 | 126.2.64.24/31 | 126.2.64.24 to 126.2.64.25 | — | 2 |
| 14 | 126.2.64.26/31 | 126.2.64.26 to 126.2.64.27 | — | 2 |
| 15 | 126.2.64.28/31 | 126.2.64.28 to 126.2.64.29 | — | 2 |
| 16 | 126.2.64.30/31 | 126.2.64.30 to 126.2.64.31 | — | 2 |
| 17 | 126.2.64.32/31 | 126.2.64.32 to 126.2.64.33 | — | 2 |
| 18 | 126.2.64.34/31 | 126.2.64.34 to 126.2.64.35 | — | 2 |
| 19 | 126.2.64.36/31 | 126.2.64.36 to 126.2.64.37 | — | 2 |
| 20 | 126.2.64.38/31 | 126.2.64.38 to 126.2.64.39 | — | 2 |
| 21 | 126.2.64.40/31 | 126.2.64.40 to 126.2.64.41 | — | 2 |
| 22 | 126.2.64.42/31 | 126.2.64.42 to 126.2.64.43 | — | 2 |
| 23 | 126.2.64.44/31 | 126.2.64.44 to 126.2.64.45 | — | 2 |
| 24 | 126.2.64.46/31 | 126.2.64.46 to 126.2.64.47 | — | 2 |
| 25 | 126.2.64.48/31 | 126.2.64.48 to 126.2.64.49 | — | 2 |
| 26 | 126.2.64.50/31 | 126.2.64.50 to 126.2.64.51 | — | 2 |
| 27 | 126.2.64.52/31 | 126.2.64.52 to 126.2.64.53 | — | 2 |
| 28 | 126.2.64.54/31 | 126.2.64.54 to 126.2.64.55 | — | 2 |
| 29 | 126.2.64.56/31 | 126.2.64.56 to 126.2.64.57 | — | 2 |
| 30 | 126.2.64.58/31 | 126.2.64.58 to 126.2.64.59 | — | 2 |
| 31 | 126.2.64.60/31 | 126.2.64.60 to 126.2.64.61 | — | 2 |
| 32 | 126.2.64.62/31 | 126.2.64.62 to 126.2.64.63 | — | 2 |
| 33 | 126.2.64.64/31 | 126.2.64.64 to 126.2.64.65 | — | 2 |
| 34 | 126.2.64.66/31 | 126.2.64.66 to 126.2.64.67 | — | 2 |
| 35 | 126.2.64.68/31 | 126.2.64.68 to 126.2.64.69 | — | 2 |
| 36 | 126.2.64.70/31 | 126.2.64.70 to 126.2.64.71 | — | 2 |
| 37 | 126.2.64.72/31 | 126.2.64.72 to 126.2.64.73 | — | 2 |
| 38 | 126.2.64.74/31 | 126.2.64.74 to 126.2.64.75 | — | 2 |
| 39 | 126.2.64.76/31 | 126.2.64.76 to 126.2.64.77 | — | 2 |
| 40 | 126.2.64.78/31 | 126.2.64.78 to 126.2.64.79 | — | 2 |
| 41 | 126.2.64.80/31 | 126.2.64.80 to 126.2.64.81 | — | 2 |
| 42 | 126.2.64.82/31 | 126.2.64.82 to 126.2.64.83 | — | 2 |
| 43 | 126.2.64.84/31 | 126.2.64.84 to 126.2.64.85 | — | 2 |
| 44 | 126.2.64.86/31 | 126.2.64.86 to 126.2.64.87 | — | 2 |
| 45 | 126.2.64.88/31 | 126.2.64.88 to 126.2.64.89 | — | 2 |
| 46 | 126.2.64.90/31 | 126.2.64.90 to 126.2.64.91 | — | 2 |
| 47 | 126.2.64.92/31 | 126.2.64.92 to 126.2.64.93 | — | 2 |
| 48 | 126.2.64.94/31 | 126.2.64.94 to 126.2.64.95 | — | 2 |
| 49 | 126.2.64.96/31 | 126.2.64.96 to 126.2.64.97 | — | 2 |
| 50 | 126.2.64.98/31 | 126.2.64.98 to 126.2.64.99 | — | 2 |
| 51 | 126.2.64.100/31 | 126.2.64.100 to 126.2.64.101 | — | 2 |
| 52 | 126.2.64.102/31 | 126.2.64.102 to 126.2.64.103 | — | 2 |
| 53 | 126.2.64.104/31 | 126.2.64.104 to 126.2.64.105 | — | 2 |
| 54 | 126.2.64.106/31 | 126.2.64.106 to 126.2.64.107 | — | 2 |
| 55 | 126.2.64.108/31 | 126.2.64.108 to 126.2.64.109 | — | 2 |
| 56 | 126.2.64.110/31 | 126.2.64.110 to 126.2.64.111 | — | 2 |
| 57 | 126.2.64.112/31 | 126.2.64.112 to 126.2.64.113 | — | 2 |
| 58 | 126.2.64.114/31 | 126.2.64.114 to 126.2.64.115 | — | 2 |
| 59 | 126.2.64.116/31 | 126.2.64.116 to 126.2.64.117 | — | 2 |
| 60 | 126.2.64.118/31 | 126.2.64.118 to 126.2.64.119 | — | 2 |
| 61 | 126.2.64.120/31 | 126.2.64.120 to 126.2.64.121 | — | 2 |
| 62 | 126.2.64.122/31 | 126.2.64.122 to 126.2.64.123 | — | 2 |
| 63 | 126.2.64.124/31 | 126.2.64.124 to 126.2.64.125 | — | 2 |
| 64 | 126.2.64.126/31 | 126.2.64.126 to 126.2.64.127 | — | 2 |
| 65 | 126.2.64.128/31 | 126.2.64.128 to 126.2.64.129 | — | 2 |
| 66 | 126.2.64.130/31 | 126.2.64.130 to 126.2.64.131 | — | 2 |
| 67 | 126.2.64.132/31 | 126.2.64.132 to 126.2.64.133 | — | 2 |
| 68 | 126.2.64.134/31 | 126.2.64.134 to 126.2.64.135 | — | 2 |
| 69 | 126.2.64.136/31 | 126.2.64.136 to 126.2.64.137 | — | 2 |
| 70 | 126.2.64.138/31 | 126.2.64.138 to 126.2.64.139 | — | 2 |
| 71 | 126.2.64.140/31 | 126.2.64.140 to 126.2.64.141 | — | 2 |
| 72 | 126.2.64.142/31 | 126.2.64.142 to 126.2.64.143 | — | 2 |
| 73 | 126.2.64.144/31 | 126.2.64.144 to 126.2.64.145 | — | 2 |
| 74 | 126.2.64.146/31 | 126.2.64.146 to 126.2.64.147 | — | 2 |
| 75 | 126.2.64.148/31 | 126.2.64.148 to 126.2.64.149 | — | 2 |
| 76 | 126.2.64.150/31 | 126.2.64.150 to 126.2.64.151 | — | 2 |
| 77 | 126.2.64.152/31 | 126.2.64.152 to 126.2.64.153 | — | 2 |
| 78 | 126.2.64.154/31 | 126.2.64.154 to 126.2.64.155 | — | 2 |
| 79 | 126.2.64.156/31 | 126.2.64.156 to 126.2.64.157 | — | 2 |
| 80 | 126.2.64.158/31 | 126.2.64.158 to 126.2.64.159 | — | 2 |
| 81 | 126.2.64.160/31 | 126.2.64.160 to 126.2.64.161 | — | 2 |
| 82 | 126.2.64.162/31 | 126.2.64.162 to 126.2.64.163 | — | 2 |
| 83 | 126.2.64.164/31 | 126.2.64.164 to 126.2.64.165 | — | 2 |
| 84 | 126.2.64.166/31 | 126.2.64.166 to 126.2.64.167 | — | 2 |
| 85 | 126.2.64.168/31 | 126.2.64.168 to 126.2.64.169 | — | 2 |
| 86 | 126.2.64.170/31 | 126.2.64.170 to 126.2.64.171 | — | 2 |
| 87 | 126.2.64.172/31 | 126.2.64.172 to 126.2.64.173 | — | 2 |
| 88 | 126.2.64.174/31 | 126.2.64.174 to 126.2.64.175 | — | 2 |
| 89 | 126.2.64.176/31 | 126.2.64.176 to 126.2.64.177 | — | 2 |
| 90 | 126.2.64.178/31 | 126.2.64.178 to 126.2.64.179 | — | 2 |
| 91 | 126.2.64.180/31 | 126.2.64.180 to 126.2.64.181 | — | 2 |
| 92 | 126.2.64.182/31 | 126.2.64.182 to 126.2.64.183 | — | 2 |
| 93 | 126.2.64.184/31 | 126.2.64.184 to 126.2.64.185 | — | 2 |
| 94 | 126.2.64.186/31 | 126.2.64.186 to 126.2.64.187 | — | 2 |
| 95 | 126.2.64.188/31 | 126.2.64.188 to 126.2.64.189 | — | 2 |
| 96 | 126.2.64.190/31 | 126.2.64.190 to 126.2.64.191 | — | 2 |
| 97 | 126.2.64.192/31 | 126.2.64.192 to 126.2.64.193 | — | 2 |
| 98 | 126.2.64.194/31 | 126.2.64.194 to 126.2.64.195 | — | 2 |
| 99 | 126.2.64.196/31 | 126.2.64.196 to 126.2.64.197 | — | 2 |
| 100 | 126.2.64.198/31 | 126.2.64.198 to 126.2.64.199 | — | 2 |
| 101 | 126.2.64.200/31 | 126.2.64.200 to 126.2.64.201 | — | 2 |
| 102 | 126.2.64.202/31 | 126.2.64.202 to 126.2.64.203 | — | 2 |
| 103 | 126.2.64.204/31 | 126.2.64.204 to 126.2.64.205 | — | 2 |
| 104 | 126.2.64.206/31 | 126.2.64.206 to 126.2.64.207 | — | 2 |
| 105 | 126.2.64.208/31 | 126.2.64.208 to 126.2.64.209 | — | 2 |
| 106 | 126.2.64.210/31 | 126.2.64.210 to 126.2.64.211 | — | 2 |
| 107 | 126.2.64.212/31 | 126.2.64.212 to 126.2.64.213 | — | 2 |
| 108 | 126.2.64.214/31 | 126.2.64.214 to 126.2.64.215 | — | 2 |
| 109 | 126.2.64.216/31 | 126.2.64.216 to 126.2.64.217 | — | 2 |
| 110 | 126.2.64.218/31 | 126.2.64.218 to 126.2.64.219 | — | 2 |
| 111 | 126.2.64.220/31 | 126.2.64.220 to 126.2.64.221 | — | 2 |
| 112 | 126.2.64.222/31 | 126.2.64.222 to 126.2.64.223 | — | 2 |
| 113 | 126.2.64.224/31 | 126.2.64.224 to 126.2.64.225 | — | 2 |
| 114 | 126.2.64.226/31 | 126.2.64.226 to 126.2.64.227 | — | 2 |
| 115 | 126.2.64.228/31 | 126.2.64.228 to 126.2.64.229 | — | 2 |
| 116 | 126.2.64.230/31 | 126.2.64.230 to 126.2.64.231 | — | 2 |
| 117 | 126.2.64.232/31 | 126.2.64.232 to 126.2.64.233 | — | 2 |
| 118 | 126.2.64.234/31 | 126.2.64.234 to 126.2.64.235 | — | 2 |
| 119 | 126.2.64.236/31 | 126.2.64.236 to 126.2.64.237 | — | 2 |
| 120 | 126.2.64.238/31 | 126.2.64.238 to 126.2.64.239 | — | 2 |
| 121 | 126.2.64.240/31 | 126.2.64.240 to 126.2.64.241 | — | 2 |
| 122 | 126.2.64.242/31 | 126.2.64.242 to 126.2.64.243 | — | 2 |
| 123 | 126.2.64.244/31 | 126.2.64.244 to 126.2.64.245 | — | 2 |
| 124 | 126.2.64.246/31 | 126.2.64.246 to 126.2.64.247 | — | 2 |
| 125 | 126.2.64.248/31 | 126.2.64.248 to 126.2.64.249 | — | 2 |
| 126 | 126.2.64.250/31 | 126.2.64.250 to 126.2.64.251 | — | 2 |
| 127 | 126.2.64.252/31 | 126.2.64.252 to 126.2.64.253 | — | 2 |
| 128 | 126.2.64.254/31 | 126.2.64.254 to 126.2.64.255 | — | 2 |
| 129 | 126.2.65.0/31 | 126.2.65.0 to 126.2.65.1 | — | 2 |
| 130 | 126.2.65.2/31 | 126.2.65.2 to 126.2.65.3 | — | 2 |
| 131 | 126.2.65.4/31 | 126.2.65.4 to 126.2.65.5 | — | 2 |
| 132 | 126.2.65.6/31 | 126.2.65.6 to 126.2.65.7 | — | 2 |
| 133 | 126.2.65.8/31 | 126.2.65.8 to 126.2.65.9 | — | 2 |
| 134 | 126.2.65.10/31 | 126.2.65.10 to 126.2.65.11 | — | 2 |
| 135 | 126.2.65.12/31 | 126.2.65.12 to 126.2.65.13 | — | 2 |
| 136 | 126.2.65.14/31 | 126.2.65.14 to 126.2.65.15 | — | 2 |
| 137 | 126.2.65.16/31 | 126.2.65.16 to 126.2.65.17 | — | 2 |
| 138 | 126.2.65.18/31 | 126.2.65.18 to 126.2.65.19 | — | 2 |
| 139 | 126.2.65.20/31 | 126.2.65.20 to 126.2.65.21 | — | 2 |
| 140 | 126.2.65.22/31 | 126.2.65.22 to 126.2.65.23 | — | 2 |
| 141 | 126.2.65.24/31 | 126.2.65.24 to 126.2.65.25 | — | 2 |
| 142 | 126.2.65.26/31 | 126.2.65.26 to 126.2.65.27 | — | 2 |
| 143 | 126.2.65.28/31 | 126.2.65.28 to 126.2.65.29 | — | 2 |
| 144 | 126.2.65.30/31 | 126.2.65.30 to 126.2.65.31 | — | 2 |
| 145 | 126.2.65.32/31 | 126.2.65.32 to 126.2.65.33 | — | 2 |
| 146 | 126.2.65.34/31 | 126.2.65.34 to 126.2.65.35 | — | 2 |
| 147 | 126.2.65.36/31 | 126.2.65.36 to 126.2.65.37 | — | 2 |
| 148 | 126.2.65.38/31 | 126.2.65.38 to 126.2.65.39 | — | 2 |
| 149 | 126.2.65.40/31 | 126.2.65.40 to 126.2.65.41 | — | 2 |
| 150 | 126.2.65.42/31 | 126.2.65.42 to 126.2.65.43 | — | 2 |
| 151 | 126.2.65.44/31 | 126.2.65.44 to 126.2.65.45 | — | 2 |
| 152 | 126.2.65.46/31 | 126.2.65.46 to 126.2.65.47 | — | 2 |
| 153 | 126.2.65.48/31 | 126.2.65.48 to 126.2.65.49 | — | 2 |
| 154 | 126.2.65.50/31 | 126.2.65.50 to 126.2.65.51 | — | 2 |
| 155 | 126.2.65.52/31 | 126.2.65.52 to 126.2.65.53 | — | 2 |
| 156 | 126.2.65.54/31 | 126.2.65.54 to 126.2.65.55 | — | 2 |
| 157 | 126.2.65.56/31 | 126.2.65.56 to 126.2.65.57 | — | 2 |
| 158 | 126.2.65.58/31 | 126.2.65.58 to 126.2.65.59 | — | 2 |
| 159 | 126.2.65.60/31 | 126.2.65.60 to 126.2.65.61 | — | 2 |
| 160 | 126.2.65.62/31 | 126.2.65.62 to 126.2.65.63 | — | 2 |
| 161 | 126.2.65.64/31 | 126.2.65.64 to 126.2.65.65 | — | 2 |
| 162 | 126.2.65.66/31 | 126.2.65.66 to 126.2.65.67 | — | 2 |
| 163 | 126.2.65.68/31 | 126.2.65.68 to 126.2.65.69 | — | 2 |
| 164 | 126.2.65.70/31 | 126.2.65.70 to 126.2.65.71 | — | 2 |
| 165 | 126.2.65.72/31 | 126.2.65.72 to 126.2.65.73 | — | 2 |
| 166 | 126.2.65.74/31 | 126.2.65.74 to 126.2.65.75 | — | 2 |
| 167 | 126.2.65.76/31 | 126.2.65.76 to 126.2.65.77 | — | 2 |
| 168 | 126.2.65.78/31 | 126.2.65.78 to 126.2.65.79 | — | 2 |
| 169 | 126.2.65.80/31 | 126.2.65.80 to 126.2.65.81 | — | 2 |
| 170 | 126.2.65.82/31 | 126.2.65.82 to 126.2.65.83 | — | 2 |
| 171 | 126.2.65.84/31 | 126.2.65.84 to 126.2.65.85 | — | 2 |
| 172 | 126.2.65.86/31 | 126.2.65.86 to 126.2.65.87 | — | 2 |
| 173 | 126.2.65.88/31 | 126.2.65.88 to 126.2.65.89 | — | 2 |
| 174 | 126.2.65.90/31 | 126.2.65.90 to 126.2.65.91 | — | 2 |
| 175 | 126.2.65.92/31 | 126.2.65.92 to 126.2.65.93 | — | 2 |
| 176 | 126.2.65.94/31 | 126.2.65.94 to 126.2.65.95 | — | 2 |
| 177 | 126.2.65.96/31 | 126.2.65.96 to 126.2.65.97 | — | 2 |
| 178 | 126.2.65.98/31 | 126.2.65.98 to 126.2.65.99 | — | 2 |
| 179 | 126.2.65.100/31 | 126.2.65.100 to 126.2.65.101 | — | 2 |
| 180 | 126.2.65.102/31 | 126.2.65.102 to 126.2.65.103 | — | 2 |
| 181 | 126.2.65.104/31 | 126.2.65.104 to 126.2.65.105 | — | 2 |
| 182 | 126.2.65.106/31 | 126.2.65.106 to 126.2.65.107 | — | 2 |
| 183 | 126.2.65.108/31 | 126.2.65.108 to 126.2.65.109 | — | 2 |
| 184 | 126.2.65.110/31 | 126.2.65.110 to 126.2.65.111 | — | 2 |
| 185 | 126.2.65.112/31 | 126.2.65.112 to 126.2.65.113 | — | 2 |
| 186 | 126.2.65.114/31 | 126.2.65.114 to 126.2.65.115 | — | 2 |
| 187 | 126.2.65.116/31 | 126.2.65.116 to 126.2.65.117 | — | 2 |
| 188 | 126.2.65.118/31 | 126.2.65.118 to 126.2.65.119 | — | 2 |
| 189 | 126.2.65.120/31 | 126.2.65.120 to 126.2.65.121 | — | 2 |
| 190 | 126.2.65.122/31 | 126.2.65.122 to 126.2.65.123 | — | 2 |
| 191 | 126.2.65.124/31 | 126.2.65.124 to 126.2.65.125 | — | 2 |
| 192 | 126.2.65.126/31 | 126.2.65.126 to 126.2.65.127 | — | 2 |
| 193 | 126.2.65.128/31 | 126.2.65.128 to 126.2.65.129 | — | 2 |
| 194 | 126.2.65.130/31 | 126.2.65.130 to 126.2.65.131 | — | 2 |
| 195 | 126.2.65.132/31 | 126.2.65.132 to 126.2.65.133 | — | 2 |
| 196 | 126.2.65.134/31 | 126.2.65.134 to 126.2.65.135 | — | 2 |
| 197 | 126.2.65.136/31 | 126.2.65.136 to 126.2.65.137 | — | 2 |
| 198 | 126.2.65.138/31 | 126.2.65.138 to 126.2.65.139 | — | 2 |
| 199 | 126.2.65.140/31 | 126.2.65.140 to 126.2.65.141 | — | 2 |
| 200 | 126.2.65.142/31 | 126.2.65.142 to 126.2.65.143 | — | 2 |
| 201 | 126.2.65.144/31 | 126.2.65.144 to 126.2.65.145 | — | 2 |
| 202 | 126.2.65.146/31 | 126.2.65.146 to 126.2.65.147 | — | 2 |
| 203 | 126.2.65.148/31 | 126.2.65.148 to 126.2.65.149 | — | 2 |
| 204 | 126.2.65.150/31 | 126.2.65.150 to 126.2.65.151 | — | 2 |
| 205 | 126.2.65.152/31 | 126.2.65.152 to 126.2.65.153 | — | 2 |
| 206 | 126.2.65.154/31 | 126.2.65.154 to 126.2.65.155 | — | 2 |
| 207 | 126.2.65.156/31 | 126.2.65.156 to 126.2.65.157 | — | 2 |
| 208 | 126.2.65.158/31 | 126.2.65.158 to 126.2.65.159 | — | 2 |
| 209 | 126.2.65.160/31 | 126.2.65.160 to 126.2.65.161 | — | 2 |
| 210 | 126.2.65.162/31 | 126.2.65.162 to 126.2.65.163 | — | 2 |
| 211 | 126.2.65.164/31 | 126.2.65.164 to 126.2.65.165 | — | 2 |
| 212 | 126.2.65.166/31 | 126.2.65.166 to 126.2.65.167 | — | 2 |
| 213 | 126.2.65.168/31 | 126.2.65.168 to 126.2.65.169 | — | 2 |
| 214 | 126.2.65.170/31 | 126.2.65.170 to 126.2.65.171 | — | 2 |
| 215 | 126.2.65.172/31 | 126.2.65.172 to 126.2.65.173 | — | 2 |
| 216 | 126.2.65.174/31 | 126.2.65.174 to 126.2.65.175 | — | 2 |
| 217 | 126.2.65.176/31 | 126.2.65.176 to 126.2.65.177 | — | 2 |
| 218 | 126.2.65.178/31 | 126.2.65.178 to 126.2.65.179 | — | 2 |
| 219 | 126.2.65.180/31 | 126.2.65.180 to 126.2.65.181 | — | 2 |
| 220 | 126.2.65.182/31 | 126.2.65.182 to 126.2.65.183 | — | 2 |
| 221 | 126.2.65.184/31 | 126.2.65.184 to 126.2.65.185 | — | 2 |
| 222 | 126.2.65.186/31 | 126.2.65.186 to 126.2.65.187 | — | 2 |
| 223 | 126.2.65.188/31 | 126.2.65.188 to 126.2.65.189 | — | 2 |
| 224 | 126.2.65.190/31 | 126.2.65.190 to 126.2.65.191 | — | 2 |
| 225 | 126.2.65.192/31 | 126.2.65.192 to 126.2.65.193 | — | 2 |
| 226 | 126.2.65.194/31 | 126.2.65.194 to 126.2.65.195 | — | 2 |
| 227 | 126.2.65.196/31 | 126.2.65.196 to 126.2.65.197 | — | 2 |
| 228 | 126.2.65.198/31 | 126.2.65.198 to 126.2.65.199 | — | 2 |
| 229 | 126.2.65.200/31 | 126.2.65.200 to 126.2.65.201 | — | 2 |
| 230 | 126.2.65.202/31 | 126.2.65.202 to 126.2.65.203 | — | 2 |
| 231 | 126.2.65.204/31 | 126.2.65.204 to 126.2.65.205 | — | 2 |
| 232 | 126.2.65.206/31 | 126.2.65.206 to 126.2.65.207 | — | 2 |
| 233 | 126.2.65.208/31 | 126.2.65.208 to 126.2.65.209 | — | 2 |
| 234 | 126.2.65.210/31 | 126.2.65.210 to 126.2.65.211 | — | 2 |
| 235 | 126.2.65.212/31 | 126.2.65.212 to 126.2.65.213 | — | 2 |
| 236 | 126.2.65.214/31 | 126.2.65.214 to 126.2.65.215 | — | 2 |
| 237 | 126.2.65.216/31 | 126.2.65.216 to 126.2.65.217 | — | 2 |
| 238 | 126.2.65.218/31 | 126.2.65.218 to 126.2.65.219 | — | 2 |
| 239 | 126.2.65.220/31 | 126.2.65.220 to 126.2.65.221 | — | 2 |
| 240 | 126.2.65.222/31 | 126.2.65.222 to 126.2.65.223 | — | 2 |
| 241 | 126.2.65.224/31 | 126.2.65.224 to 126.2.65.225 | — | 2 |
| 242 | 126.2.65.226/31 | 126.2.65.226 to 126.2.65.227 | — | 2 |
| 243 | 126.2.65.228/31 | 126.2.65.228 to 126.2.65.229 | — | 2 |
| 244 | 126.2.65.230/31 | 126.2.65.230 to 126.2.65.231 | — | 2 |
| 245 | 126.2.65.232/31 | 126.2.65.232 to 126.2.65.233 | — | 2 |
| 246 | 126.2.65.234/31 | 126.2.65.234 to 126.2.65.235 | — | 2 |
| 247 | 126.2.65.236/31 | 126.2.65.236 to 126.2.65.237 | — | 2 |
| 248 | 126.2.65.238/31 | 126.2.65.238 to 126.2.65.239 | — | 2 |
| 249 | 126.2.65.240/31 | 126.2.65.240 to 126.2.65.241 | — | 2 |
| 250 | 126.2.65.242/31 | 126.2.65.242 to 126.2.65.243 | — | 2 |
| 251 | 126.2.65.244/31 | 126.2.65.244 to 126.2.65.245 | — | 2 |
| 252 | 126.2.65.246/31 | 126.2.65.246 to 126.2.65.247 | — | 2 |
| 253 | 126.2.65.248/31 | 126.2.65.248 to 126.2.65.249 | — | 2 |
| 254 | 126.2.65.250/31 | 126.2.65.250 to 126.2.65.251 | — | 2 |
| 255 | 126.2.65.252/31 | 126.2.65.252 to 126.2.65.253 | — | 2 |
| 256 | 126.2.65.254/31 | 126.2.65.254 to 126.2.65.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |